<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>ParametersNotificationComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/parameters/parameters-notification/parameters-notification.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>parameters-notification</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./parameters-notification.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./parameters-notification.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#uploadInProgress">uploadInProgress</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#invalidateParameters">invalidateParameters</a>
                            </li>
                            <li>
                                <a href="#isRequestDeploymentShown">isRequestDeploymentShown</a>
                            </li>
                            <li>
                                <a href="#isTestSiteInValidation">isTestSiteInValidation</a>
                            </li>
                            <li>
                                <a href="#isTestSiteReadyForDeployment">isTestSiteReadyForDeployment</a>
                            </li>
                            <li>
                                <a href="#isValidateDeploymentShown">isValidateDeploymentShown</a>
                            </li>
                            <li>
                                <a href="#uploadParameters">uploadParameters</a>
                            </li>
                            <li>
                                <a href="#validateParameters">validateParameters</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#operation">operation</a>
                            </li>
                            <li>
                                <a href="#operationStatus">operationStatus</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#userBelongsToOperationManagementEntity">userBelongsToOperationManagementEntity</a>
                                </li>
                                <li>
                                    <a href="#pactLink">pactLink</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(operationService: <a href="../injectables/OperationService.html">OperationService</a>, exportService: <a href="../injectables/UploadService.html">UploadService</a>, dialogService: TdDialogService, snackBar: MatSnackBar, translateService: TranslateService, operationManagementService: <a href="../injectables/OperationManagementService.html">OperationManagementService</a>, authorizationService: <a href="../injectables/AuthorizationService.html">AuthorizationService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:23</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>operationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationService.html" target="_self" >OperationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>exportService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/UploadService.html" target="_self" >UploadService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialogService</td>
                                                  
                                                        <td>
                                                                    <code>TdDialogService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>snackBar</td>
                                                  
                                                        <td>
                                                                    <code>MatSnackBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>operationManagementService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/OperationManagementService.html" target="_self" >OperationManagementService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>authorizationService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/AuthorizationService.html" target="_self" >AuthorizationService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operation"></a>
                        <code>operation</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../classes/Operation.html" target="_self" >Operation</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:22</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="operationStatus"></a>
                        <code>operationStatus</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/OperationStatus.html" target="_self" >OperationStatus</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:23</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="invalidateParameters"></a>
                        <span class="name">
                            <b>
                            invalidateParameters
                            </b>
                            <a href="#invalidateParameters"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>invalidateParameters()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="88" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:88</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isRequestDeploymentShown"></a>
                        <span class="name">
                            <b>
                            isRequestDeploymentShown
                            </b>
                            <a href="#isRequestDeploymentShown"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isRequestDeploymentShown()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="54" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:54</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isTestSiteInValidation"></a>
                        <span class="name">
                            <b>
                            isTestSiteInValidation
                            </b>
                            <a href="#isTestSiteInValidation"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isTestSiteInValidation()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="49" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:49</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isTestSiteReadyForDeployment"></a>
                        <span class="name">
                            <b>
                            isTestSiteReadyForDeployment
                            </b>
                            <a href="#isTestSiteReadyForDeployment"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isTestSiteReadyForDeployment()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:42</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isValidateDeploymentShown"></a>
                        <span class="name">
                            <b>
                            isValidateDeploymentShown
                            </b>
                            <a href="#isValidateDeploymentShown"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isValidateDeploymentShown()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:58</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadParameters"></a>
                        <span class="name">
                            <b>
                            uploadParameters
                            </b>
                            <a href="#uploadParameters"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>uploadParameters()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="62" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:62</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="validateParameters"></a>
                        <span class="name">
                            <b>
                            validateParameters
                            </b>
                            <a href="#validateParameters"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>validateParameters()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="76" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:76</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInProgress"></a>
                        <span class="name">
                            <b>
                            uploadInProgress
                            </b>
                            <a href="#uploadInProgress"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadInProgress:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="userBelongsToOperationManagementEntity"></a>
                        <span class="name"><b>userBelongsToOperationManagementEntity</b><a href="#userBelongsToOperationManagementEntity"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>userBelongsToOperationManagementEntity()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="34" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:34</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="pactLink"></a>
                        <span class="name"><b>pactLink</b><a href="#pactLink"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>pactLink()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/operation/parameters/parameters-notification/parameters-notification.component.ts:38</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &#x27;@angular/core&#x27;;
import { Operation } from &#x27;../../model/operation&#x27;;
import {
  COMPLETE, DEPLOYMENT_REQUESTED, IN_ERROR, IN_VALIDATION, OperationStatus, VALIDATED
} from &#x27;../../model/operation-status&#x27;;
import { OperationManagementService } from &#x27;../../service/operation-managment.service&#x27;;
import { MatSnackBar } from &#x27;@angular/material&#x27;;
import { UploadService } from &#x27;../../../core/service/upload/upload.service&#x27;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { OperationService } from &#x27;../../service/operation.service&#x27;;
import { TdDialogService } from &#x27;@covalent/core&#x27;;
import { AuthorizationService } from &#x27;../../../core/service/http/authorization.service&#x27;;

@Component({
  selector: &#x27;parameters-notification&#x27;,
  templateUrl: &#x27;./parameters-notification.component.html&#x27;,
  styleUrls: [&#x27;./parameters-notification.component.scss&#x27;]
})
export class ParametersNotificationComponent {

  uploadInProgress &#x3D; false;
  @Input() operation: Operation;
  @Input() operationStatus: OperationStatus;

  constructor(private operationService: OperationService,
              private exportService: UploadService,
              private dialogService: TdDialogService,
              private snackBar: MatSnackBar,
              private translateService: TranslateService,
              private operationManagementService: OperationManagementService,
              private authorizationService: AuthorizationService) {
  }

  get userBelongsToOperationManagementEntity() {
    return this.operation.managementEntity &#x3D;&#x3D; this.authorizationService.userSnapshot.managementEntity;
  }

  get pactLink() {
    return this.operationStatus.configurationStatus.pactUrl;
  }

  isTestSiteReadyForDeployment() {
    return this.authorizationService.hasAtLeastOneRole([&#x27;ROLE_DEPLOY_TEST_SITE&#x27;]) &amp;&amp;
           this.operationStatus.configurationCompleteAndConsistent &amp;&amp;
           (this.operationStatus.configurationStatus.state &#x3D;&#x3D; COMPLETE ||
            this.operationStatus.configurationStatus.state &#x3D;&#x3D; IN_ERROR);
  }

  isTestSiteInValidation() {
    return this.authorizationService.hasAtLeastOneRole([&#x27;INVALIDATE_TEST_SITE&#x27;, &#x27;VALIDATE_TEST_SITE&#x27;]) &amp;&amp;
           this.operationStatus.configurationStatus.state &#x3D;&#x3D; IN_VALIDATION;
  }

  isRequestDeploymentShown() {
    return this.operationStatus.configurationStatus.state &#x3D;&#x3D; VALIDATED;
  }

  isValidateDeploymentShown() {
    return this.operationStatus.configurationStatus.state &#x3D;&#x3D;&#x3D; DEPLOYMENT_REQUESTED
  }

  uploadParameters() {
    this.uploadInProgress &#x3D; true;
    this.exportService.exportOperationConfiguration(this.operation.id).subscribe(() &#x3D;&gt; {
      this.operationManagementService.shouldUpdateStatus();
      this.snackBar.open(
        this.translateService.instant(&#x27;parameters.notification.upload.success&#x27;), &#x27;&#x27;, {
          duration: 5000
        });
      this.uploadInProgress &#x3D; false;
    }, () &#x3D;&gt; {
      this.uploadInProgress &#x3D; false;
    });
  }

  validateParameters() {
    this.operationService.validateTestSite(this.operation.id)
      .subscribe(() &#x3D;&gt; {
        this.snackBar.open(
          this.translateService.instant(&#x27;parameters.notification.validation.validate.success&#x27;), &#x27;&#x27;,
          {duration: 5000}
        );
        this.operationManagementService.shouldUpdateStatus();
      });
  }


  invalidateParameters() {
    this.dialogService.openConfirm({
      message: this.translateService.instant(&#x27;parameters.notification.validation.invalidate.dialog.message&#x27;),
      title: this.translateService.instant(&#x27;parameters.notification.validation.invalidate.dialog.title&#x27;),
      cancelButton: this.translateService.instant(&#x27;global.actions.cancel&#x27;).toUpperCase(),
      acceptButton: this.translateService.instant(&#x27;global.actions.validate&#x27;).toUpperCase(),
    }).afterClosed().subscribe((accept: boolean) &#x3D;&gt; {
      if (accept) {
        this.operationService.invalidateTestSite(this.operation.id)
          .subscribe(() &#x3D;&gt; {
            this.snackBar.open(
              this.translateService.instant(&#x27;parameters.notification.validation.invalidate.success&#x27;), &#x27;&#x27;,
              {duration: 5000}
            );
            this.operationManagementService.shouldUpdateStatus();
          });
      }
    });
  }

}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;div *ngIf&#x3D;&quot;operationStatus.consistencyComputationInProgress&quot;
     class&#x3D;&quot;notification notification--consistency-in-progress&quot;&gt;
  &lt;mat-card&gt;
    &lt;mat-card-content fxLayout fxLayoutGap&#x3D;&quot;1rem&quot;&gt;
      &lt;mat-icon&gt;timelapse&lt;/mat-icon&gt;
      &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;parameters.notification.info.consistency.in-progress&quot; | translate}}&lt;/span&gt;
    &lt;/mat-card-content&gt;
  &lt;/mat-card&gt;
&lt;/div&gt;

&lt;div *ngIf&#x3D;&quot;operationStatus.configurationConsistencyErrors.length &gt; 0&quot;
     class&#x3D;&quot;notification notification--consistency-errors&quot;&gt;
  &lt;mat-card&gt;
    &lt;mat-card-content fxLayout fxLayoutGap&#x3D;&quot;2.5rem&quot;&gt;
      &lt;mat-icon class&#x3D;&quot;error-icon&quot;&gt;warning&lt;/mat-icon&gt;
      &lt;div fxLayout&#x3D;&quot;column&quot; fxFlex&#x3D;&quot;1 1 auto&quot;&gt;
        &lt;h2 class&#x3D;&quot;error-title&quot;&gt;{{ &quot;parameters.notification.info.consistency.errors&quot; | translate}}&lt;/h2&gt;
        &lt;ul&gt;
          &lt;li *ngFor&#x3D;&quot;let error of operationStatus.configurationConsistencyErrors&quot;&gt;
            {{ error.errorKey | translate:error.errorsParameters}}
          &lt;/li&gt;
        &lt;/ul&gt;
      &lt;/div&gt;
    &lt;/mat-card-content&gt;
  &lt;/mat-card&gt;
&lt;/div&gt;


&lt;ng-container *ngIf&#x3D;&quot;userBelongsToOperationManagementEntity&quot;&gt;
  &lt;div *ngIf&#x3D;&quot;isTestSiteReadyForDeployment()&quot; class&#x3D;&quot;notification notification--deployment&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
        &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;parameters.notification.info.ready-to-test&quot; | translate}}&lt;/span&gt;

        &lt;button id&#x3D;&quot;uploadConfigurationButton&quot;
                mat-raised-button
                color&#x3D;&quot;primary&quot;
                (click)&#x3D;&quot;uploadParameters()&quot;
                *ngIf&#x3D;&quot;!uploadInProgress&quot;&gt;
          &lt;mat-icon&gt;cloud_upload&lt;/mat-icon&gt;
          {{&#x27;parameters.notification.upload.button&#x27; | translate | uppercase}}
        &lt;/button&gt;

      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;


  &lt;div *ngIf&#x3D;&quot;isTestSiteInValidation()&quot; class&#x3D;&quot;notification&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutGap&#x3D;&quot;5rem&quot; fxLayoutAlign&#x3D;&quot;center&quot;&gt;
        &lt;action-card
          color&#x3D;&quot;accent&quot;
          icon&#x3D;&quot;cancel&quot;
          buttonId&#x3D;&quot;invalidateParametersButton&quot;
          buttonLabel&#x3D;&quot;parameters.notification.validation.invalidate.button&quot;
          (action)&#x3D;&quot;invalidateParameters()&quot;
          *roles&#x3D;&quot;[&#x27;INVALIDATE_TEST_SITE&#x27;]&quot;
        &gt;
        &lt;/action-card&gt;
        &lt;action-card
          color&#x3D;&quot;primary&quot;
          icon&#x3D;&quot;check_circle&quot;
          buttonId&#x3D;&quot;validateParametersButton&quot;
          buttonLabel&#x3D;&quot;parameters.notification.validation.validate.button&quot;
          (action)&#x3D;&quot;validateParameters()&quot;
          *roles&#x3D;&quot;[&#x27;VALIDATE_TEST_SITE&#x27;]&quot;&gt;
        &lt;/action-card&gt;
      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;


  &lt;div *ngIf&#x3D;&quot;isRequestDeploymentShown()&quot; class&#x3D;&quot;notification notification--deployment&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
        &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;parameters.notification.info.can-request-deployment&quot; | translate}}&lt;/span&gt;

        &lt;div class&#x3D;&quot;external-action&quot;&gt;
          &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
            {{ &#x27;parameters.notification.request-deployment.title&#x27; | translate }}
          &lt;/div&gt;
          &lt;div class&#x3D;&quot;action-link&quot;&gt;
            &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;deploymentRequestLink&quot;&gt;
              &lt;mat-icon&gt;link&lt;/mat-icon&gt;
              &lt;span&gt;{{ &#x27;parameters.notification.request-deployment.pact-link&#x27; | translate }}&lt;/span&gt;
            &lt;/a&gt;
          &lt;/div&gt;
        &lt;/div&gt;

      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;


  &lt;div *ngIf&#x3D;&quot;isValidateDeploymentShown()&quot; class&#x3D;&quot;notification notification--deployment&quot;&gt;
    &lt;mat-card&gt;
      &lt;mat-card-content fxLayout fxLayoutAlign&#x3D;&quot;space-between&quot;&gt;
        &lt;span fxFlexAlign&#x3D;&quot;center&quot;&gt;{{ &quot;parameters.notification.info.can-validate-deployment&quot; | translate}}&lt;/span&gt;

        &lt;div class&#x3D;&quot;external-action&quot;&gt;
          &lt;div class&#x3D;&quot;action-title section-title&quot;&gt;
            {{ &#x27;parameters.notification.validate-deployment.title&#x27; | translate }}
          &lt;/div&gt;
          &lt;div class&#x3D;&quot;action-link&quot;&gt;
            &lt;a href&#x3D;&quot;{{pactLink}}&quot; target&#x3D;&quot;pact&quot; id&#x3D;&quot;deploymentValidationLink&quot;&gt;
              &lt;mat-icon&gt;link&lt;/mat-icon&gt;
              &lt;span&gt;{{ &#x27;parameters.notification.validate-deployment.pact-link&#x27; | translate }}&lt;/span&gt;
            &lt;/a&gt;
          &lt;/div&gt;
        &lt;/div&gt;

      &lt;/mat-card-content&gt;
    &lt;/mat-card&gt;
  &lt;/div&gt;


&lt;/ng-container&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./parameters-notification.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">h2 {
  margin: 0;
}

.notification {
  margin-bottom: 2rem;
}

.error-icon {
  font-size: 3.4rem;
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><div *ngIf="operationStatus.consistencyComputationInProgress"     class="notification notification--consistency-in-progress">  <mat-card>    <mat-card-content fxLayout fxLayoutGap="1rem">      <mat-icon>timelapse</mat-icon>      <span fxFlexAlign="center">{{ "parameters.notification.info.consistency.in-progress" | translate}}</span>    </mat-card-content>  </mat-card></div><div *ngIf="operationStatus.configurationConsistencyErrors.length > 0"     class="notification notification--consistency-errors">  <mat-card>    <mat-card-content fxLayout fxLayoutGap="2.5rem">      <mat-icon class="error-icon">warning</mat-icon>      <div fxLayout="column" fxFlex="1 1 auto">        <h2 class="error-title">{{ "parameters.notification.info.consistency.errors" | translate}}</h2>        <ul>          <li *ngFor="let error of operationStatus.configurationConsistencyErrors">            {{ error.errorKey | translate:error.errorsParameters}}          </li>        </ul>      </div>    </mat-card-content>  </mat-card></div><ng-container *ngIf="userBelongsToOperationManagementEntity">  <div *ngIf="isTestSiteReadyForDeployment()" class="notification notification--deployment">    <mat-card>      <mat-card-content fxLayout fxLayoutAlign="space-between">        <span fxFlexAlign="center">{{ "parameters.notification.info.ready-to-test" | translate}}</span>        <button id="uploadConfigurationButton"                mat-raised-button                color="primary"                (click)="uploadParameters()"                *ngIf="!uploadInProgress">          <mat-icon>cloud_upload</mat-icon>          {{\'parameters.notification.upload.button\' | translate | uppercase}}        </button>      </mat-card-content>    </mat-card>  </div>  <div *ngIf="isTestSiteInValidation()" class="notification">    <mat-card>      <mat-card-content fxLayout fxLayoutGap="5rem" fxLayoutAlign="center">        <action-card          color="accent"          icon="cancel"          buttonId="invalidateParametersButton"          buttonLabel="parameters.notification.validation.invalidate.button"          (action)="invalidateParameters()"          *roles="[\'INVALIDATE_TEST_SITE\']"        >        </action-card>        <action-card          color="primary"          icon="check_circle"          buttonId="validateParametersButton"          buttonLabel="parameters.notification.validation.validate.button"          (action)="validateParameters()"          *roles="[\'VALIDATE_TEST_SITE\']">        </action-card>      </mat-card-content>    </mat-card>  </div>  <div *ngIf="isRequestDeploymentShown()" class="notification notification--deployment">    <mat-card>      <mat-card-content fxLayout fxLayoutAlign="space-between">        <span fxFlexAlign="center">{{ "parameters.notification.info.can-request-deployment" | translate}}</span>        <div class="external-action">          <div class="action-title section-title">            {{ \'parameters.notification.request-deployment.title\' | translate }}          </div>          <div class="action-link">            <a href="{{pactLink}}" target="pact" id="deploymentRequestLink">              <mat-icon>link</mat-icon>              <span>{{ \'parameters.notification.request-deployment.pact-link\' | translate }}</span>            </a>          </div>        </div>      </mat-card-content>    </mat-card>  </div>  <div *ngIf="isValidateDeploymentShown()" class="notification notification--deployment">    <mat-card>      <mat-card-content fxLayout fxLayoutAlign="space-between">        <span fxFlexAlign="center">{{ "parameters.notification.info.can-validate-deployment" | translate}}</span>        <div class="external-action">          <div class="action-title section-title">            {{ \'parameters.notification.validate-deployment.title\' | translate }}          </div>          <div class="action-link">            <a href="{{pactLink}}" target="pact" id="deploymentValidationLink">              <mat-icon>link</mat-icon>              <span>{{ \'parameters.notification.validate-deployment.pact-link\' | translate }}</span>            </a>          </div>        </div>      </mat-card-content>    </mat-card>  </div></ng-container></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'ParametersNotificationComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'ParametersNotificationComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
